Skip to main content
GET
/
credit_batches
/
{id}
Credit Batch
curl --request GET \
  --url https://api.sandbox.isometric.com/registry/v0/credit_batches/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/registry/v0/credit_batches/{id}"

headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/registry/v0/credit_batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "beneficiary": {
    "domain": "isometric.com",
    "id": "org_1GB56M1ST1S0GVNA",
    "name": "<string>"
  },
  "carbon_removal_data": {
    "counterfactuals_kg": 123,
    "emissions_kg": 123,
    "gross_carbon_removed_kg": 123,
    "losses_kg": 123,
    "net_carbon_removed_kg": 123
  },
  "ccp_approved": true,
  "country_of_issue": "<string>",
  "delivered_at": "2023-11-07T05:31:56Z",
  "delivery_id": "dlv_1C454ZXA61S03Z9T",
  "ghg_entry_id": "rmv_1EEM6NJXX1S0EXKD",
  "id": "ctb_1DRBTYA8Q1S07CBY",
  "issuance_id": "iss_1EWT8R5FY1S0GFCY",
  "issued_at": "2023-11-07T05:31:56Z",
  "left_child_id": "ctb_1DRBTYA8Q1S07CBY",
  "owner": {
    "domain": "isometric.com",
    "id": "org_1GB56M1ST1S0GVNA",
    "name": "<string>"
  },
  "parent_id": "ctb_1DRBTYA8Q1S07CBY",
  "project_id": "prj_1CTWZQGKE1S0VAXA",
  "removal_id": "rmv_1EEM6NJXX1S0EXKD",
  "retired_at": "2023-11-07T05:31:56Z",
  "retirement_id": "ret_1FYBH4QDT1S0SVKF",
  "right_child_id": "ctb_1DRBTYA8Q1S07CBY",
  "sequestered_on": "2023-12-25",
  "serial_number": "<string>",
  "size": {
    "credit_kgs": 123,
    "credits": 123
  },
  "supplier_id": "spl_1CC712KFS1S0YKPS"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

id
string
required
Required string length: 20 - 37
Examples:

"ctb_1DRBTYA8Q1S07CBY"

"ctb_1CA2D3S73SBXYN70"

Response

Successful Response

beneficiary
Organisation · object | null
required
carbon_removal_data
CarbonRemovalData · object | null
required

Carbon removal data for this credit batch

ccp_approved
boolean
required

Whether this credit batch has been issued as part of a ICVCM Core Carbon Principles (CCP) approved project

country_of_issue
string
required
Required string length: 3
Example:

"GBR"

delivered_at
string<date-time> | null
required
delivery_id
string | null
required
Required string length: 20 - 37
Example:

"dlv_1C454ZXA61S03Z9T"

ghg_entry_id
string
required
Required string length: 20 - 37
Examples:

"rmv_1EEM6NJXX1S0EXKD"

"rmv_1E3V4J2EWSBX5E82"

id
string
required
Required string length: 20 - 37
Examples:

"ctb_1DRBTYA8Q1S07CBY"

"ctb_1CA2D3S73SBXYN70"

issuance_id
string
required
Required string length: 20 - 37
Examples:

"iss_1EWT8R5FY1S0GFCY"

"iss_1CSVDDHH3SBXRP6K"

issued_at
string<date-time>
required
left_child_id
string | null
required

If this credit batch has status SPLIT, it will have two child batches representing the two halves of this split.

Required string length: 20 - 37
Example:

"ctb_1DRBTYA8Q1S07CBY"

owner
Organisation · object
required
parent_id
string | null
required

If this credit batch was created from splitting a larger batch in two, this will be set to the id of the parent credit batch.

Required string length: 20 - 37
Example:

"ctb_1DRBTYA8Q1S07CBY"

project_id
string
required
Required string length: 20 - 37
Examples:

"prj_1CTWZQGKE1S0VAXA"

"prj_1E0QTWB22SBX34D1"

removal_id
string
required
deprecated

Deprecated, please use ghg_entry_id instead.

Required string length: 20 - 37
Examples:

"rmv_1EEM6NJXX1S0EXKD"

"rmv_1E3V4J2EWSBX5E82"

retired_at
string<date-time> | null
required
retirement_id
string | null
required
Required string length: 20 - 37
Example:

"ret_1FYBH4QDT1S0SVKF"

right_child_id
string | null
required

If this credit batch has status SPLIT, it will have two child batches representing the two halves of this split.

Required string length: 20 - 37
Example:

"ctb_1DRBTYA8Q1S07CBY"

sequestered_on
string<date>
required
serial_number
string
required
Example:

"ISO-1-BSTORE-GBR-F5X7-2024-78177-81177"

size
CreditQuantity · object
required
status
enum<string>
required
Available options:
active,
split,
retired
supplier_id
string
required
Required string length: 20 - 37
Examples:

"spl_1CC712KFS1S0YKPS"

"spl_1FJBMMGR3SBXKDME"